DP4 Manual Collection

This small help file collects together all the current DP4 Manuals, allowing you to easily access any of the manuals, and also to search all of them simultaneously. It will usually be better to use the search facility than the index tab - the index is not complete for all the manuals.

The manuals are as follows:

  • Introduction to DP4

    This manual introduces the concepts and terminology of the DP4 system. It is largely up to date.

  • DP4 Quick Reference

    This manual lists the DP4 utilities and their command line options, and links to more information on them, and contains a reference for all the DP4 Error messages. The Getting Started section will tell you where to find information on many topics elsewhere in the DP4 documentation. It is largely up to date.

  • DP4 Developer's Guide

    This manual describes how to create a DP4 database using programs such as MAKEDB. It also contains important information on how and when to back up database and check their integrity. You may well find this manual unnecessarily detailed, and some of the content may not be up to date, though it has undergone some further revision for 4.621.

    This manual is 4.6xx specific in some areas. Unfortunately it appears that the 4.5xx manuals have never been converted to online format. Fortunately we still archives for the old printed manuals, and the relevant chapters will be converted when time permits.

  • DP4 C/C++ Programmer's Reference

    This manual describes the DP4 API, mainly concentrating on C, but much of the information should be of interest to anyone accessing the native DP4 API whatever language is in used. This manual has been extensively, but not completely, revised for 4.620. It contains a much expanded overview section, which replaces the old C Developers Manual, which has now been withdrawn.

  • QAB Developer's Guide

    This guide describes how to develop using QAB or a combination of QAB and C. It contains some out of date information, but has been extensively revised for 4.620.

  • 4.600 Map Editor User Guide

    This guide describes how to create maps and menus using the 4.600 Mapedit program. The content of the manual has recently been updated for 4.620.

  • DP4 Report Writer Guide

    This guide describes how to develop Report Programs using the DP4 Report Writer. The content is fairly up to date, as there have been few recent changes in Report Writer.

  • DP4 SQL Products Manual

    This manual describes the DP4 SQL and ODBC interface, the SQL Interpreter and the Gateway ADCs that allow access to non DP4 databases using the DP4 API. This manual is up to date.

  • DP$ ADC Developer's Guide

    This guide describes how to develop an ADC, and also describes several useful ADCs issued with DP4. This manual is up to date.

  • OSDI Developer's Guide

    This guide describes how to develop an OSDI for use in Point of Service systems. It is up to date, but could do with extra information for the Windows OSDI. It contains useful information about setting up printers for DP4 that is not OSDI specific.

  • Guide to DP4 Networking and Resilience

    This guide describes how to install and use DP4 networking and Resilience components, and covers network/resilience related parts of the DP4 ADE. It is up to date. This manual also covers running programs with the DP4 Terminal Server, and the new "named connection" networking configuration introduced in 4.619 and enhanced in 4.620.

  • DP4 for Windows Installation Guide

    This guide describes how to install DP4 on the various releases of the Windows operating system. It is up to date.

  • DP4 for Unix and Linux Installation Guide

    This guide describes how to install DP4 on Unix and Linux. It is up to date. This manual is also provided as plain HTML pages so that it can be accessed on Unix. As this is where it is most likely to be used the table of contents in the CHM version is fairly rudimentary.

  • Guide to DP4 Configuration

    This guide describes the DP4 configuration utilities, and the many possible options you can set in the DP4 Configuration file (dp4.ini or datafit.ini) in order to customise DP4. It is up to date, and includes information about new 4.621 settings.

  • QAB Tutorial

    This guide has a number of tutorial exercises for beginning QAB programmers. The content of this manual has not been checked for several years.

Manual Status

Manuals that are described as up to date were either completely rewritten or at least extensively revised for release 4.619 or later. Manuals that are largely up to date have had some updating, or there have been few changes in the areas they cover since they were written, but the manual has not been completely checked for this version and may therefore have some out of date material. Manuals that are C related may well contain information that is only relevant to 16 bit programming, or information about Windows that only applies to Windows 3.x, and correspondingly fail to cover areas specific to 32 bit programming on Unix and Windows.

Updates

You can find out if there have been any recent significant changes to the DP4 manuals by visiting www.itimdp4.com/index.html#ugdp4man.htm.


CHM Compiled Microsoft Html Help Files

  • Some of the Microsoft HTML Help files include "browse sequences" which require HHActiveX.DLL to enable the browse sequences to be obtained. These may be useful for accessing all the information related to a particular topic, or obtaining an overview of the topics in the manual.
  • The HHActiveX.DLL file, provided in the CHMHelps directory, can be manually installed and registered - see below for instructions.
  • Standalone help: Copy the .CHM files into your favoured directory. Then you can double click with explorer to open. The DP4Help.CHM file can be used to access ALL the files at once, with a combined search and index facility!
  • For best results adjust your screen display to 1024*768 pixels or above. If you have to use 640*480 resolution you will probably need to hide the contents page.

To manually install HHActivex.DLL:

  1. Copy HHActiveX.DLL into Windows\System.
  2. Click the Windows Start button.
  3. Select Run.
  4. Enter the following: regsvr32 hhactivex.dll
  5. Click OK.